From 1238e8d038fccdc6d1965ef05a815606d2088496 Mon Sep 17 00:00:00 2001
From: Vadim Ushakov <igeekless@gmail.com>
Date: Fri, 16 Nov 2012 01:21:06 +0800
Subject: [PATCH 05/11] Display full path in tab tooltip

---
 src/tab-page.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/tab-page.c b/src/tab-page.c
index 29a4192..48599b0 100644
--- a/src/tab-page.c
+++ b/src/tab-page.c
@@ -532,6 +532,10 @@ static void fm_tab_page_chdir_without_history(FmTabPage* page, FmPath* path)
     fm_tab_label_set_text(page->tab_label, disp_name);
     g_free(disp_name);
 
+    char * disp_path = fm_path_display_name(path, FALSE);
+    fm_tab_label_set_tooltip_text(FM_TAB_LABEL(page->tab_label), disp_path);
+    g_free(disp_path);
+
     free_folder(page);
 
     page->folder = fm_folder_from_path(path);
-- 
1.8.0.1

